package com.gic.haoban.manage.api.service;

import com.alibaba.fastjson.JSONArray;
import com.gic.haoban.manage.api.dto.ApplicationSettingDTO;

import java.util.List;

/**
 * Created by tgs on 2020/2/9.
 */
public interface ApplicationSettingApiService {
	
	void saveSetting(String wxEnterpriseId,JSONArray jsonArr);

	ApplicationSettingDTO findSettingByWxEnterpriseIdAndApplicationId(String wxEnterpriseId,String applicationId);

	List<ApplicationSettingDTO> listOpenByWxEnterpriseIdAndApplicationIds(String wxEnterpriseId,List<String> applicationIds);

	List<String> findMenuCodes(String wxEnterpriseId,Integer openFlag);
}
